Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.axes
Class OneStepIteratorForward

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.patterns.NodeTest
                  |
                  +--org.apache.xpath.axes.PredicatedNodeTest
                        |
                        +--org.apache.xpath.axes.LocPathIterator
                              |
                              +--org.apache.xpath.axes.BasicTestIterator
                                    |
                                    +--org.apache.xpath.axes.ChildTestIterator
                                          |
                                          +--org.apache.xpath.axes.OneStepIteratorForward

Direct Known Subclasses:
  KeyIterator

public class OneStepIteratorForward
extends ChildTestIterator

**For advanced use only** This class implements a general iterator for those LocationSteps with only one step, and perhaps a predicate, that only go forward (i.e. it can not be used with ancestors, preceding, etc.)

See Also:
  `org.apache.xpath.axes.WalkerFactory#newLocPathIterator`, Serialized Form

Fields inherited from class org.apache.xpath.axes.LocPathIterator
`m_lastFetched`

Fields inherited from class org.apache.xpath.patterns.NodeTest
`SCORE_NODETEST, SCORE_NONE, SCORE_NSWILD, SCORE_OTHER, SCORE_QNAME, SHOW_BYFUNCTION, SUPPORTS_PRE_STRIPPING, WILD`

Constructor Summary
`OneStepIteratorForward(int axis)` Create a OneStepIterator object that will just traverse the self axes.

Method Summary
`boolean` | `deepEquals(Expression expr)`
`int` | `getAxis()` Returns the axis being iterated, if it is known.
`void` | `setRoot(int context, java.lang.Object environment)` Initialize the context values for this expression after it is cloned.

Methods inherited from class org.apache.xpath.axes.ChildTestIterator
`cloneWithReset`

Methods inherited from class org.apache.xpath.axes.BasicTestIterator
`nextNode`

Methods inherited from class org.apache.xpath.axes.LocPathIterator
`allowDetachToRelease, asIterator, asNode, bool, callVisitors, detach, execute, executeCharsToContentHandler, getAnalysisBits, getContext, getCurrentContextNode, getCurrentNode, getCurrentPos, getDTM, getDTMManager, getExpandEntityReferences, getFilter, getFoundLast, getIsTopLevel, getLastPos, getLength, getPrefixResolver, getRoot, getWhatToShow, getXPathContext, incrementCurrentPos, isDocOrdered, isFresh, isMutable, isNodesetExpr, item, previousNode, reset, runTo, setCurrentContextNode, setCurrentPos, setEnvironment, setIsTopLevel, setItem, setShouldCacheNodes, size`

Methods inherited from class org.apache.xpath.axes.PredicatedNodeTest
`acceptNode, callPredicateVisitors, canTraverseOutsideSubtree, clone, fixupVariables, getLocPathIterator, getPredicate, getPredicateCount, getPredicateIndex, getProximityPosition, getProximityPosition, initProximityPosition, isReverseAxes, resetProximityPositions, setLocPathIterator, setPredicateCount`

Methods inherited from class org.apache.xpath.patterns.NodeTest
`debugWhatToShow, execute, execute, getDefaultScore, getLocalName, getNamespace, getNodeTypeTest, getStaticScore, initNodeTest, initNodeTest, setLocalName, setNamespace, setStaticScore, setWhatToShow`

Methods inherited from class org.apache.xpath.Expression
`asIteratorRaw, assertion, error, execute, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OneStepIteratorForward

    public OneStepIteratorForward(int axis)

  Create a OneStepIterator object that will just traverse the self axes.
  Parameters:
    `axis` - One of the org.apache.xml.dtm.Axis integers.
  Throws:
    TransformerException -

Method Detail

### setRoot

    public void setRoot(int context,
                        java.lang.Object environment)

  Initialize the context values for this expression after it is cloned.
  Parameters:
    `execContext` - The XPath runtime context for this transformation.
  Overrides:
    setRoot in class ChildTestIterator

### getAxis

    public int getAxis()

  Returns the axis being iterated, if it is known.
  Returns:
    Axis.CHILD, etc., or -1 if the axis is not known or is of multiple types.
  Overrides:
    getAxis in class ChildTestIterator

### deepEquals

    public boolean deepEquals(Expression expr)

  Overrides:
    deepEquals in class PredicatedNodeTest
  See Also:
    `Expression.deepEquals(Expression)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.